Skip to main content
`Ctrl`+`K`

# PetscMalloc2

Allocates 2 arrays of memory both aligned to `PETSC_MEMALIGN`

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscMalloc2(size_t m1,type **r1,size_t m2,type **r2)

Not Collective

## Input Parameters

- m1 - number of elements to allocate in 1st chunk (may be zero)

- m2 - number of elements to allocate in 2nd chunk (may be zero)

## Output Parameters

- r1 - memory allocated in first chunk

- r2 - memory allocated in second chunk

## See Also

`PetscFree()`, `PetscNew()`, `PetscMalloc()`, `PetscMalloc1()`, `PetscCalloc2()`

## Level

developer

## Location

include/petscsys.h

## Examples

src/snes/tutorials/ex55k.kokkos.cxx
src/ksp/ksp/tutorials/ex68.c
src/ksp/ksp/tutorials/ex69.c
src/mat/tutorials/ex18.c
src/snes/tutorials/ex12.c
src/ksp/ksp/tutorials/ex74.c
src/mat/tutorials/ex4.c
src/snes/tutorials/ex7.c
src/mat/tutorials/ex17.c
src/snes/tutorials/ex13.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages